package com.xingxi.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @program: gululuq
 * @description: 删除标志
 * @author: 金
 * @create: 2025-03-16
 */
@AllArgsConstructor
@Getter
public enum EAttrType {
    ATTR("attr", "属性"),
    JOINT("joint", "属性组合");

    private String val;
    private String desc;

    // 解析
    public static EAttrType parseByVal(String val) {
        for (EAttrType type : EAttrType.values()) {
            if (type.getVal().equalsIgnoreCase(val)) {
                return type;
            }
        }
        return EAttrType.ATTR;
    }
}
